Index: /XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 432)
@@ -13,5 +13,5 @@
   SUBROUTINE xios(set_filegroup_attr)  &
     ( filegroup_id, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-    , output_level, par_access, split_freq, sync_freq, type )
+    , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -29,4 +29,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq_format
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -35,5 +36,5 @@
       CALL xios(set_filegroup_attr_hdl_)   &
       ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-      , output_level, par_access, split_freq, sync_freq, type )
+      , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(set_filegroup_attr)
@@ -41,5 +42,5 @@
   SUBROUTINE xios(set_filegroup_attr_hdl)  &
     ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-    , output_level, par_access, split_freq, sync_freq, type )
+    , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -56,4 +57,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq_format
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -61,5 +63,5 @@
       CALL xios(set_filegroup_attr_hdl_)  &
       ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-      , output_level, par_access, split_freq, sync_freq, type )
+      , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(set_filegroup_attr_hdl)
@@ -67,5 +69,5 @@
   SUBROUTINE xios(set_filegroup_attr_hdl_)   &
     ( filegroup_hdl, description_, enabled_, group_ref_, min_digits_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, split_freq_, sync_freq_, type_ )
+    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -82,4 +84,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq_format_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
@@ -126,4 +129,8 @@
       ENDIF
       
+      IF (PRESENT(split_freq_format_)) THEN
+        CALL cxios_set_filegroup_split_freq_format(filegroup_hdl%daddr, split_freq_format_, len(split_freq_format_))
+      ENDIF
+      
       IF (PRESENT(sync_freq_)) THEN
         CALL cxios_set_filegroup_sync_freq(filegroup_hdl%daddr, sync_freq_, len(sync_freq_))
@@ -140,5 +147,5 @@
   SUBROUTINE xios(get_filegroup_attr)  &
     ( filegroup_id, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-    , output_level, par_access, split_freq, sync_freq, type )
+    , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -156,4 +163,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq_format
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -162,5 +170,5 @@
       CALL xios(get_filegroup_attr_hdl_)   &
       ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-      , output_level, par_access, split_freq, sync_freq, type )
+      , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(get_filegroup_attr)
@@ -168,5 +176,5 @@
   SUBROUTINE xios(get_filegroup_attr_hdl)  &
     ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-    , output_level, par_access, split_freq, sync_freq, type )
+    , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
     IMPLICIT NONE
@@ -183,4 +191,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq_format
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -188,5 +197,5 @@
       CALL xios(get_filegroup_attr_hdl_)  &
       ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
-      , output_level, par_access, split_freq, sync_freq, type )
+      , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
     
   END SUBROUTINE xios(get_filegroup_attr_hdl)
@@ -194,5 +203,5 @@
   SUBROUTINE xios(get_filegroup_attr_hdl_)   &
     ( filegroup_hdl, description_, enabled_, group_ref_, min_digits_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, split_freq_, sync_freq_, type_ )
+    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -209,4 +218,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq_format_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
@@ -253,4 +263,8 @@
       ENDIF
       
+      IF (PRESENT(split_freq_format_)) THEN
+        CALL cxios_get_filegroup_split_freq_format(filegroup_hdl%daddr, split_freq_format_, len(split_freq_format_))
+      ENDIF
+      
       IF (PRESENT(sync_freq_)) THEN
         CALL cxios_get_filegroup_sync_freq(filegroup_hdl%daddr, sync_freq_, len(sync_freq_))
@@ -265,3 +279,185 @@
   END SUBROUTINE xios(get_filegroup_attr_hdl_)
   
+  SUBROUTINE xios(is_defined_filegroup_attr)  &
+    ( filegroup_id, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(filegroup))  :: filegroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::filegroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description
+      LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: enabled
+      LOGICAL(KIND=C_BOOL) :: enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: min_digits
+      LOGICAL(KIND=C_BOOL) :: min_digits_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_suffix
+      LOGICAL(KIND=C_BOOL) :: name_suffix_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_freq
+      LOGICAL(KIND=C_BOOL) :: output_freq_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_level
+      LOGICAL(KIND=C_BOOL) :: output_level_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: par_access
+      LOGICAL(KIND=C_BOOL) :: par_access_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: split_freq
+      LOGICAL(KIND=C_BOOL) :: split_freq_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: split_freq_format
+      LOGICAL(KIND=C_BOOL) :: split_freq_format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: sync_freq
+      LOGICAL(KIND=C_BOOL) :: sync_freq_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
+      CALL xios(is_defined_filegroup_attr_hdl_)   &
+      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
+    
+  END SUBROUTINE xios(is_defined_filegroup_attr)
+  
+  SUBROUTINE xios(is_defined_filegroup_attr_hdl)  &
+    ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+    , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(filegroup)) , INTENT(IN) :: filegroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description
+      LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: enabled
+      LOGICAL(KIND=C_BOOL) :: enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: min_digits
+      LOGICAL(KIND=C_BOOL) :: min_digits_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_suffix
+      LOGICAL(KIND=C_BOOL) :: name_suffix_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_freq
+      LOGICAL(KIND=C_BOOL) :: output_freq_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_level
+      LOGICAL(KIND=C_BOOL) :: output_level_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: par_access
+      LOGICAL(KIND=C_BOOL) :: par_access_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: split_freq
+      LOGICAL(KIND=C_BOOL) :: split_freq_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: split_freq_format
+      LOGICAL(KIND=C_BOOL) :: split_freq_format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: sync_freq
+      LOGICAL(KIND=C_BOOL) :: sync_freq_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(is_defined_filegroup_attr_hdl_)  &
+      ( filegroup_hdl, description, enabled, group_ref, min_digits, name, name_suffix, output_freq  &
+      , output_level, par_access, split_freq, split_freq_format, sync_freq, type )
+    
+  END SUBROUTINE xios(is_defined_filegroup_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_filegroup_attr_hdl_)   &
+    ( filegroup_hdl, description_, enabled_, group_ref_, min_digits_, name_, name_suffix_, output_freq_  &
+    , output_level_, par_access_, split_freq_, split_freq_format_, sync_freq_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(filegroup)) , INTENT(IN) :: filegroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description_
+      LOGICAL(KIND=C_BOOL) :: description__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: enabled_
+      LOGICAL(KIND=C_BOOL) :: enabled__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
+      LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: min_digits_
+      LOGICAL(KIND=C_BOOL) :: min_digits__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_suffix_
+      LOGICAL(KIND=C_BOOL) :: name_suffix__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_freq_
+      LOGICAL(KIND=C_BOOL) :: output_freq__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_level_
+      LOGICAL(KIND=C_BOOL) :: output_level__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: par_access_
+      LOGICAL(KIND=C_BOOL) :: par_access__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: split_freq_
+      LOGICAL(KIND=C_BOOL) :: split_freq__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: split_freq_format_
+      LOGICAL(KIND=C_BOOL) :: split_freq_format__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: sync_freq_
+      LOGICAL(KIND=C_BOOL) :: sync_freq__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type_
+      LOGICAL(KIND=C_BOOL) :: type__tmp
+      
+      IF (PRESENT(description_)) THEN
+        description__tmp=cxios_is_defined_filegroup_description(filegroup_hdl%daddr)
+        description_=description__tmp
+      ENDIF
+      
+      IF (PRESENT(enabled_)) THEN
+        enabled__tmp=cxios_is_defined_filegroup_enabled(filegroup_hdl%daddr)
+        enabled_=enabled__tmp
+      ENDIF
+      
+      IF (PRESENT(group_ref_)) THEN
+        group_ref__tmp=cxios_is_defined_filegroup_group_ref(filegroup_hdl%daddr)
+        group_ref_=group_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(min_digits_)) THEN
+        min_digits__tmp=cxios_is_defined_filegroup_min_digits(filegroup_hdl%daddr)
+        min_digits_=min_digits__tmp
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_filegroup_name(filegroup_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      IF (PRESENT(name_suffix_)) THEN
+        name_suffix__tmp=cxios_is_defined_filegroup_name_suffix(filegroup_hdl%daddr)
+        name_suffix_=name_suffix__tmp
+      ENDIF
+      
+      IF (PRESENT(output_freq_)) THEN
+        output_freq__tmp=cxios_is_defined_filegroup_output_freq(filegroup_hdl%daddr)
+        output_freq_=output_freq__tmp
+      ENDIF
+      
+      IF (PRESENT(output_level_)) THEN
+        output_level__tmp=cxios_is_defined_filegroup_output_level(filegroup_hdl%daddr)
+        output_level_=output_level__tmp
+      ENDIF
+      
+      IF (PRESENT(par_access_)) THEN
+        par_access__tmp=cxios_is_defined_filegroup_par_access(filegroup_hdl%daddr)
+        par_access_=par_access__tmp
+      ENDIF
+      
+      IF (PRESENT(split_freq_)) THEN
+        split_freq__tmp=cxios_is_defined_filegroup_split_freq(filegroup_hdl%daddr)
+        split_freq_=split_freq__tmp
+      ENDIF
+      
+      IF (PRESENT(split_freq_format_)) THEN
+        split_freq_format__tmp=cxios_is_defined_filegroup_split_freq_format(filegroup_hdl%daddr)
+        split_freq_format_=split_freq_format__tmp
+      ENDIF
+      
+      IF (PRESENT(sync_freq_)) THEN
+        sync_freq__tmp=cxios_is_defined_filegroup_sync_freq(filegroup_hdl%daddr)
+        sync_freq_=sync_freq__tmp
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        type__tmp=cxios_is_defined_filegroup_type(filegroup_hdl%daddr)
+        type_=type__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_filegroup_attr_hdl_)
+  
 END MODULE ifilegroup_attr
Index: /XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90	(revision 432)
@@ -159,3 +159,92 @@
   END SUBROUTINE xios(get_grid_attr_hdl_)
   
+  SUBROUTINE xios(is_defined_grid_attr)  &
+    ( grid_id, axis_ref, description, domain_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid))  :: grid_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::grid_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
+      LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description
+      LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
+      LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask
+      LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      
+      CALL xios(get_grid_handle)(grid_id,grid_hdl)
+      CALL xios(is_defined_grid_attr_hdl_)   &
+      ( grid_hdl, axis_ref, description, domain_ref, mask, name )
+    
+  END SUBROUTINE xios(is_defined_grid_attr)
+  
+  SUBROUTINE xios(is_defined_grid_attr_hdl)  &
+    ( grid_hdl, axis_ref, description, domain_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
+      LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description
+      LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
+      LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask
+      LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      
+      CALL xios(is_defined_grid_attr_hdl_)  &
+      ( grid_hdl, axis_ref, description, domain_ref, mask, name )
+    
+  END SUBROUTINE xios(is_defined_grid_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_grid_attr_hdl_)   &
+    ( grid_hdl, axis_ref_, description_, domain_ref_, mask_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref_
+      LOGICAL(KIND=C_BOOL) :: axis_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description_
+      LOGICAL(KIND=C_BOOL) :: description__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref_
+      LOGICAL(KIND=C_BOOL) :: domain_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_
+      LOGICAL(KIND=C_BOOL) :: mask__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      
+      IF (PRESENT(axis_ref_)) THEN
+        axis_ref__tmp=cxios_is_defined_grid_axis_ref(grid_hdl%daddr)
+        axis_ref_=axis_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(description_)) THEN
+        description__tmp=cxios_is_defined_grid_description(grid_hdl%daddr)
+        description_=description__tmp
+      ENDIF
+      
+      IF (PRESENT(domain_ref_)) THEN
+        domain_ref__tmp=cxios_is_defined_grid_domain_ref(grid_hdl%daddr)
+        domain_ref_=domain_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(mask_)) THEN
+        mask__tmp=cxios_is_defined_grid_mask(grid_hdl%daddr)
+        mask_=mask__tmp
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_grid_name(grid_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_grid_attr_hdl_)
+  
 END MODULE igrid_attr
Index: /XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 432)
@@ -173,3 +173,103 @@
   END SUBROUTINE xios(get_gridgroup_attr_hdl_)
   
+  SUBROUTINE xios(is_defined_gridgroup_attr)  &
+    ( gridgroup_id, axis_ref, description, domain_ref, group_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup))  :: gridgroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
+      LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description
+      LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
+      LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask
+      LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      
+      CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
+      CALL xios(is_defined_gridgroup_attr_hdl_)   &
+      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+    
+  END SUBROUTINE xios(is_defined_gridgroup_attr)
+  
+  SUBROUTINE xios(is_defined_gridgroup_attr_hdl)  &
+    ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
+      LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description
+      LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
+      LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask
+      LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      
+      CALL xios(is_defined_gridgroup_attr_hdl_)  &
+      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+    
+  END SUBROUTINE xios(is_defined_gridgroup_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_gridgroup_attr_hdl_)   &
+    ( gridgroup_hdl, axis_ref_, description_, domain_ref_, group_ref_, mask_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref_
+      LOGICAL(KIND=C_BOOL) :: axis_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: description_
+      LOGICAL(KIND=C_BOOL) :: description__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref_
+      LOGICAL(KIND=C_BOOL) :: domain_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
+      LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_
+      LOGICAL(KIND=C_BOOL) :: mask__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      
+      IF (PRESENT(axis_ref_)) THEN
+        axis_ref__tmp=cxios_is_defined_gridgroup_axis_ref(gridgroup_hdl%daddr)
+        axis_ref_=axis_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(description_)) THEN
+        description__tmp=cxios_is_defined_gridgroup_description(gridgroup_hdl%daddr)
+        description_=description__tmp
+      ENDIF
+      
+      IF (PRESENT(domain_ref_)) THEN
+        domain_ref__tmp=cxios_is_defined_gridgroup_domain_ref(gridgroup_hdl%daddr)
+        domain_ref_=domain_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(group_ref_)) THEN
+        group_ref__tmp=cxios_is_defined_gridgroup_group_ref(gridgroup_hdl%daddr)
+        group_ref_=group_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(mask_)) THEN
+        mask__tmp=cxios_is_defined_gridgroup_mask(gridgroup_hdl%daddr)
+        mask_=mask__tmp
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_gridgroup_name(gridgroup_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_gridgroup_attr_hdl_)
+  
 END MODULE igridgroup_attr
Index: /XIOS/trunk/src/object_template_impl.hpp
===================================================================
--- /XIOS/trunk/src/object_template_impl.hpp	(revision 431)
+++ /XIOS/trunk/src/object_template_impl.hpp	(revision 432)
@@ -393,4 +393,10 @@
      oss<<iendl ;
      SuperClassMap::generateFortranInterfaceGet_hdl_(oss,className) ;
+     oss<<iendl ;
+     SuperClassMap::generateFortranInterfaceIsDefined_id(oss,className) ;
+     oss<<iendl ;
+     SuperClassMap::generateFortranInterfaceIsDefined_hdl(oss,className) ;
+     oss<<iendl ;
+     SuperClassMap::generateFortranInterfaceIsDefined_hdl_(oss,className) ;     
      oss<<iendl-- ;
      oss<<"END MODULE i"<<className<<"_attr"<<iendl ;
Index: /XIOS/trunk/src/test/test_client.f90
===================================================================
--- /XIOS/trunk/src/test/test_client.f90	(revision 431)
+++ /XIOS/trunk/src/test/test_client.f90	(revision 432)
@@ -13,12 +13,12 @@
   TYPE(xios_time)      :: dtime
   TYPE(xios_context) :: ctx_hdl
-  INTEGER,PARAMETER :: ni_glo=100 
+  INTEGER,PARAMETER :: ni_glo=100
   INTEGER,PARAMETER :: nj_glo=100 
-  INTEGER,PARAMETER :: llm=3 
-  DOUBLE PRECISION  :: lval(llm)=(/1.0,2.0,3.0/)
+  INTEGER,PARAMETER :: llm=5 
+  DOUBLE PRECISION  :: lval(llm)=1
   TYPE(xios_field) :: field_hdl
   TYPE(xios_fieldgroup) :: fieldgroup_hdl
   TYPE(xios_file) :: file_hdl
-  
+  LOGICAL :: ok
   
   DOUBLE PRECISION,DIMENSION(ni_glo,nj_glo) :: lon_glo,lat_glo
@@ -98,4 +98,6 @@
     print *,"lonvalue",lonvalue ;
 
+    CALL xios_is_defined_field_attr("field_A",enabled=ok)
+    PRINT *,"field_A : attribute enabled is defined ? ",ok
     CALL xios_close_context_definition()
     
